Skip to main content
POST
/
v3
/
async
/
vidu-q3-pro-f2v
Vidu Q3 Pro Start-End-to-Video
curl --request POST \
  --url https://api.novita.ai/v3/async/vidu-q3-pro-f2v \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "seed": 123,
  "audio": true,
  "images": [
    {}
  ],
  "is_rec": true,
  "prompt": "<string>",
  "wm_url": "<string>",
  "duration": 123,
  "off_peak": true,
  "watermark": true,
  "resolution": "<string>",
  "wm_position": 123
}
'
{
  "task_id": "<string>"
}
Vidu Q3 Pro start-end-to-video generates high-quality videos from first and last frame images with text-guided motion interpolation, supporting up to 1080p resolution.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

seed
integer
Random seed for reproducibility. 0 means random.
audio
boolean
default:true
Whether to generate audio simultaneously when generating video.
images
array
required
Two image URLs or Base64 encoded images. First image as start frame, second as end frame. Supports png, jpeg, jpg, webp formats. Max 50MB per image, min 128x128 pixels, aspect ratio must be < 1:4 or 4:1. Both images must have similar resolution (ratio between 0.8-1.25).Array length: 2 - 2
is_rec
boolean
Whether to enable recommendation mode.
prompt
string
Text description of desired video motion between start and end frames.Length limit: 0 - 1500
wm_url
string
Custom watermark image URL.
duration
integer
default:5
Video duration in seconds, range 1-16.Value range: [1, 16]
off_peak
boolean
default:false
Whether to use off-peak mode for lower pricing.
watermark
boolean
Whether to add watermark to video.
resolution
string
default:"720p"
Resolution of generated video.Optional values: 540p, 720p, 1080p
wm_position
integer
default:3
Watermark position: 1=top-left, 2=top-right, 3=bottom-right, 4=bottom-left.Value range: [1, 4]

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.